%define majver %(echo %version | cut -d. -f 1-2)

Name:          pygobject2
Version:       2.28.6
Release:       4mamba
Summary:       A convenient wrapper for the GObject+ library for use in Python programs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.pygtk.org
Source:        http://ftp.gnome.org/pub/GNOME/sources/pygobject/%{majver}/pygobject-%{version}.tar.bz2
Patch0:        pygobject-2.28.6-deprecated_GI_INFO_TYPE_ERROR_DOMAIN.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libblkid-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libmount-devel
BuildRequires: libpcre-devel
BuildRequires: libpython-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: pycairo-devel
%endif
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PyGObject provides a convenient wrapper for the GObject+ library for use in Python programs, and takes care of many of the boring details such as managing memory and type casting.  When combined with PyGTK, PyORBit and gnome-python, it can be used to write full featured Gnome applications.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
PyGObject provides a convenient wrapper for the GObject+ library for use in Python programs, and takes care of many of the boring details such as managing memory and type casting.  When combined with PyGTK, PyORBit and gnome-python, it can be used to write full featured Gnome applications.

This package contains static libraries and header files need for development.

%prep
%setup -q -n pygobject-%{version}
%patch0 -p1

%build
%configure \
   --enable-docs \
   --disable-introspection \
   PYTHON=%{__python}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
   
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{python_sitearch}/*
%{_libdir}/libpyglib-2.0-python%{python_version}.so.*
%dir %{_datadir}/gtk-doc/html/pygobject
%dir %{_datadir}/pygobject
%{_datadir}/pygobject/*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/pygobject-codegen-2.0
%dir %{_includedir}/pygtk-2.0
%{_includedir}/pygtk-2.0/*.h
#%{_includedir}/pygobject/bank.h
%{_libdir}/libpyglib-2.0-python%{python_version}.la
%{_libdir}/libpyglib-2.0-python%{python_version}.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/pygobject/*
%doc ChangeLog NEWS README

%changelog
* Tue May 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 2.28.6-4mamba
- x86_64: rebuilt to fix installation path

* Sun May 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.28.6-3mamba
- python 2.7 rebuild

* Wed Oct 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.28.6-2mamba
- rebuilt as legacy package

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 2.28.6-1mamba
- automatic update by autodist

* Fri Apr 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.28.3-1mamba
- update to 2.28.3

* Mon Oct 04 2010 Automatic Build System <autodist@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Sat Sep 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.21.5-2mamba
- rebuilt with libffi 3.0.9

* Tue Aug 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.21.5-1mamba
- update to 2.21.5

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 2.21.4-1mamba
- automatic update to 2.21.4 by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.21.3-1mamba
- automatic update to 2.21.3 by autodist

* Fri Jun 11 2010 Automatic Build System <autodist@mambasoft.it> 2.21.2-1mamba
- automatic update to 2.21.2 by autodist

* Mon May 31 2010 Automatic Build System <autodist@mambasoft.it> 2.21.1-1mamba
- automatic update to 2.21.1 by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.20.0-1mamba
- automatic update to 2.20.0 by autodist

* Thu Dec 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.15.4-2mamba
- rebuilt with python 2.6

* Wed Oct 01 2008 gil <puntogil@libero.it> 2.15.4-1mamba
- update to 2.15.4
- removed patch

* Thu Sep 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.0-1mamba
- update to 2.14.0

* Fri Mar 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.3-2qilnx
- added buildroot_fix patch to remove buildroot in compiled files

* Mon Feb 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.3-1qilnx
- package created by autospec
